using Newtonsoft.Json;

namespace OF_DL.Models;

public class Auth
{
    [JsonProperty(PropertyName = "USER_ID")]
    public string? UserId { get; set; } = "";

    [JsonProperty(PropertyName = "USER_AGENT")]
    public string? UserAgent { get; set; } = "";

    [JsonProperty(PropertyName = "X_BC")] public string? XBc { get; set; } = "";

    [JsonProperty(PropertyName = "COOKIE")]
    public string? Cookie { get; set; } = "";

    [JsonIgnore]
    [JsonProperty(PropertyName = "FFMPEG_PATH")]
    public string? FfmpegPath { get; set; } = "";
}
